---
date: 2021-08-04T22:34:28+02:00
description: "Correctif OpenBSD: kernel"
title: "Syspatch : kernel (2021/08/04)"
---

## Correctif de fiabilité : kernel

Une adresse mal alignée pourrait déclencher une assertion du noyau et faire paniquer le noyau. .

- Architecture ciblée : sparc64.

## Recompilation

Voici les étapes de recompilation nécessaires :

Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :

### patch kernel

- pour 6.9

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.9/common/012_vmparam.patch.sig
# signify -Vep /etc/signify/openbsd-69-base.pub -x 012_vmparam.patch.sig \
        -m - | (cd /usr/src && patch -p0)
```

- pour 6.8

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/027_vmparam.patch.sig
# signify -Vep /etc/signify/openbsd-68-base.pub -x 027_vmparam.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

- la phase de recompilation :


```ksh
$ KK=`sysctl -n kern.osversion | cut -d# -f1`
$ cd /usr/src/sys/arch/`machine`/compile/$KK
# make obj
# make config
# make
# make install
```

Ensuite [redémarrez](#restart) la machine !


## Restart

```ksh
# reboot
```

---

## Documentations 

Plus d'informations sur les pages d'Errata [6.9][1] et [6.8][2]…  
et leurs versions FR respectives : [6.9 FR][3] et [6.8 FR][4].

---

[1]: https://openbsd.org/errata69.html
[2]: https://openbsd.org/errata68.html
[3]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata69
[4]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68


